display {EBImage} | R Documentation

## Interactive image display

### Description

Display images.

### Usage

    display(x, no.GTK, main, colorize,
            title = paste(deparse(substitute(x))),
            useGTK = TRUE)
    animate(x)

### Arguments

`x` | An `Image` object or an array.
`useGTK` | A logical of length 1. See details.
`title` | Window title.
`no.GTK, main, colorize` | Deprecated.

### Details

By default (and if available), the `display` function uses GTK to open a window and display the image. Multiple windows can be opened in this way.

If GTK is not available or if `useGTK` is `FALSE`, ImageMagick is used; only one window at a time can be open, and it needs to be closed by the user interactively before the next window can be opened. The ImageMagick display is not available on MS-Windows.

The `animate` function shows an animated sequence of images and uses `ImageMagick`. Similar limitations as for `display` apply (only one window, not on MS-Windows.)

### Value

The functions are called for their side effect. Return value is invisible `NULL`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk

### References

ImageMagick: http://www.imagemagick.org GTK: http://www.gtk.org, on MS-Windows http://gladewin32.sf.net

### Examples

       ## single image
       lena = readImage(system.file("images", "lena-color.png", package="EBImage"))
       if (interactive()) display(lena)

       ## animated threshold
       x = readImage(system.file("images", "lena-color.png", package="EBImage"))
       x = resize(x, 128, 128)
       xt = list()
       for (t in seq(0.1, 5, len=9)) xt=c(xt, list(blur(x, s=t)))
       xt = combine(xt)
       if (interactive()) display(xt, title='Blurred Lenas')

[Package EBImage version 3.0.5 Index]